package compbio.beans;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * bean for a report of daily statistics.
 * 
 * @param dateTotal
 *            Map<String, Total> where String - a date, Total - total info for
 *            jobs with different status
 * @param wholeTotal
 *            total sum for each parameter from dateTotal
 */
public class TotalJobsStatisticBean {
	private Map<String, Total> dateTotal;
	private Total wholeTotal;

	public TotalJobsStatisticBean() {
		this.dateTotal = new LinkedHashMap<String, Total>();
	}

	public void setDateTotal(String dat, Total tot) {
		if (this.dateTotal == null)
			dateTotal = new LinkedHashMap<String, Total>();
		dateTotal.put(dat, tot);
	}

	public Map<String, Total> getDateTotal() {
		return dateTotal;
	}

	public void setWholeTotal(Total tot) {
		this.wholeTotal = tot;
	}

	public Total getWholeTotal() {
		return wholeTotal;
	}
}
